umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
UMLInstanceAttribute Class Reference

Sets up instanceattribute information. More...

`#include <instanceattribute.h>`

Inheritance diagram for UMLInstanceAttribute:

## Public Member Functions
| UMLInstanceAttribute (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None, Uml::Visibility::Enum s=Uml::Visibility::Private, UMLObject *type=0, const QString &value=QString())
| UMLInstanceAttribute (UMLObject *parent)
void | setAttributes (const QString &attributes)
QString | getAttributes () const
virtual void | saveToXMI1 (QDomDocument &qDoc, QDomElement &qElement)
virtual bool | showPropertiesDialog (QWidget *parent=0)
Public Member Functions inherited from UMLAttribute
| UMLAttribute (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None, Uml::Visibility::Enum s=Uml::Visibility::Private, UMLObject *type=0, const QString &iv=QString())
| UMLAttribute (UMLObject *parent)
bool | operator== (const UMLAttribute &rhs) const
virtual | ~UMLAttribute ()
virtual void | copyInto (UMLObject *lhs) const
void | setName (const QString &name)
void | setVisibility (Uml::Visibility::Enum s)
virtual UMLObject * | clone () const
QString | getInitialValue () const
void | setInitialValue (const QString &iv)
QString | toString (Uml::SignatureType::Enum sig=Uml::SignatureType::NoSig, bool withStereotype=false)
QString | getFullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setParmKind (Uml::ParameterDirection::Enum pk)
Uml::ParameterDirection::Enum | getParmKind () const
virtual UMLClassifierList | getTemplateParams ()
Public Member Functions inherited from UMLClassifierListItem
| UMLClassifierListItem (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLClassifierListItem (UMLObject *parent)
virtual | ~UMLClassifierListItem ()
virtual void | setType (UMLObject *type)
UMLClassifier * | getType () const
void | setTypeName (const QString &type)
virtual QString | getTypeName () const
Public Member Functions inherited from UMLObject
| UMLObject (const UMLObject &other)
| UMLObject (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLObject (UMLObject *parent)
| UMLObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLObject ()
bool | operator== (const UMLObject &rhs) const
virtual void | setBaseType (ObjectType ot)
ObjectType | baseType () const
QLatin1String | baseTypeStr () const
virtual void | setID (Uml::ID::Type NewID)
virtual Uml::ID::Type | id () const
QString | doc () const
bool | hasDoc () const
void | setDoc (const QString &d)
void | setVisibility (Uml::Visibility::Enum visibility)
void | setVisibilityCmd (Uml::Visibility::Enum visibility)
Uml::Visibility::Enum | visibility () const
void | setStereotype (const QString &_name)
void | setStereotypeCmd (const QString &_name)
QString | stereotype (bool includeAdornments=false) const
void | setUMLStereotype (UMLStereotype *stereo)
UMLStereotype * | umlStereotype ()
QString | package (const QString &separator=QString(), bool includeRoot=false)
UMLPackageList | packages (bool includeRoot=false) const
bool | setUMLPackage (UMLPackage *pPkg)
UMLPackage * | umlPackage () const
void | setUMLParent (UMLObject *parent)
UMLObject * | umlParent () const
virtual void | setNameCmd (const QString &strName)
QString | name () const
virtual QString | fullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setAbstract (bool bAbstract)
bool | isAbstract () const
virtual bool | resolveRef ()
virtual bool | loadFromXMI1 (QDomElement &element)
bool | loadStereotype (QDomElement &element)
void | setStatic (bool bStatic)
bool | isStatic () const
virtual bool | acceptAssociationType (Uml::AssociationType::Enum)
void | setSecondaryId (const QString &id)
QString | secondaryId () const
void | setSecondaryFallback (const QString &id)
QString | secondaryFallback () const
QDomElement | save1 (const QString &tag, QDomDocument &qDoc)
bool | isUMLActor ()
bool | isUMLArtifact ()
bool | isUMLAssociation ()
bool | isUMLAttribute ()
bool | isUMLCategory ()
bool | isUMLCheckConstraint ()
bool | isUMLClassifier ()
bool | isUMLComponent ()
bool | isUMLDatatype ()
bool | isUMLEntity ()
bool | isUMLEntityAttribute ()
bool | isUMLEntityConstraint ()
bool | isUMLEnum ()
bool | isUMLEnumLiteral ()
bool | isUMLFolder ()
bool | isUMLForeignKeyConstraint ()
bool | isUMLInstance ()
bool | isUMLInstanceAttribute ()
bool | isUMLNode ()
bool | isUMLObject ()
bool | isUMLOperation ()
bool | isUMLPackage ()
bool | isUMLPort ()
bool | isUMLRole ()
bool | isUMLStereotype ()
bool | isUMLTemplate ()
bool | isUMLUniqueConstraint ()
bool | isUMLUseCase ()
UMLActor * | asUMLActor ()
UMLArtifact * | asUMLArtifact ()
UMLAssociation * | asUMLAssociation ()
UMLAttribute * | asUMLAttribute ()
UMLCanvasObject * | asUMLCanvasObject ()
UMLCategory * | asUMLCategory ()
UMLCheckConstraint * | asUMLCheckConstraint ()
UMLClassifier * | asUMLClassifier ()
UMLClassifierListItem * | asUMLClassifierListItem ()
UMLClassifierSet * | asUMLClassifierSet ()
UMLComponent * | asUMLComponent ()
UMLDatatype * | asUMLDatatype ()
UMLEntity * | asUMLEntity ()
UMLEntityAttribute * | asUMLEntityAttribute ()
UMLEntityConstraint * | asUMLEntityConstraint ()
UMLEnum * | asUMLEnum ()
UMLEnumLiteral * | asUMLEnumLiteral ()
UMLFolder * | asUMLFolder ()
UMLForeignKeyConstraint * | asUMLForeignKeyConstraint ()
UMLInstance * | asUMLInstance ()
UMLInstanceAttribute * | asUMLInstanceAttribute ()
UMLNode * | asUMLNode ()
UMLObject * | asUMLObject ()
UMLOperation * | asUMLOperation ()
UMLPackage * | asUMLPackage ()
UMLPort * | asUMLPort ()
UMLRole * | asUMLRole ()
UMLStereotype * | asUMLStereotype ()
UMLTemplate * | asUMLTemplate ()
UMLUniqueConstraint * | asUMLUniqueConstraint ()
UMLUseCase * | asUMLUseCase ()

## Protected Member Functions
virtual bool | load1 (QDomElement &element)
Protected Member Functions inherited from UMLObject
void | init ()
void | maybeSignalObjectCreated ()

## Private Member Functions
void | init ()
| UMLInstanceAttribute::init Initialize members of this class. More...

## Private Attributes
QString | m_attributes

## Additional Inherited Members
Public Types inherited from UMLObject
enum | ObjectType { ot_Unknown = -1, ot_UMLObject = 100, ot_Actor, ot_UseCase, ot_Package, ot_Interface, ot_Datatype, ot_Enum, ot_Class, ot_Instance, ot_Association, ot_Attribute, ot_Operation, ot_EnumLiteral, ot_Template, ot_Component, ot_Artifact, ot_Node, ot_Stereotype, ot_Role, ot_Entity, ot_EntityAttribute, ot_Folder, ot_EntityConstraint, ot_UniqueConstraint, ot_ForeignKeyConstraint, ot_CheckConstraint, ot_Category, ot_Port, ot_InstanceAttribute, ot_SubSystem }
Public Slots inherited from UMLObject
void | emitModified ()
Signals inherited from UMLAttribute
void | attributeChanged ()
Signals inherited from UMLObject
void | modified ()
Static Public Member Functions inherited from UMLObject
static QString | toString (ObjectType ot)
static QString | toI18nString (ObjectType t)
static Icon_Utils::IconType | toIcon (ObjectType t)
Protected Attributes inherited from UMLAttribute
QString | m_InitialValue
| text for the attribute's initial value. More...
Uml::ParameterDirection::Enum | m_ParmKind
Protected Attributes inherited from UMLObject
Uml::ID::Type | m_nId
| object's id More...
QString | m_Doc
| object's documentation More...
QPointer< UMLStereotype > | m_pStereotype
| stereotype of the object if applicable More...
QString | m_name
| objects name More...
ObjectType | m_BaseType
| objects type More...
Uml::Visibility::Enum | m_visibility
| objects visibility More...
bool | m_bAbstract
| state of whether the object is abstract or not More...
bool | m_bStatic
| flag for instance scope More...
bool | m_bInPaste
| caller sets this true when in paste operation More...
bool | m_bCreationWasSignalled
| auxiliary to maybeSignalObjectCreated() More...
QPointer< UMLObject > | m_pSecondary
QString | m_SecondaryId
QString | m_SecondaryFallback
UMLObjectPrivate * | m_d
| private data More...

## Detailed Description

Sets up instanceattribute information.

This class is used to set up information for an instanceattribute. It has type, name, and default value.

Author
  Lays Rodrigues Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLInstanceAttribute() [1/2]

UMLInstanceAttribute::UMLInstanceAttribute | ( | UMLObject * | parent,
|  | const QString & | name,
|  | Uml::ID::Type | id = `Uml::ID::None`,
|  | Uml::Visibility::Enum | s = `Uml::Visibility::Private`,
|  | UMLObject * | type = `0`,
|  | const QString & | value = `QString()`
| ) |  |

## ◆ UMLInstanceAttribute() [2/2]

UMLInstanceAttribute::UMLInstanceAttribute | ( | UMLObject * | parent | ) |
| explicit

## Member Function Documentation

## ◆ getAttributes()

QString UMLInstanceAttribute::getAttributes | ( |  | ) | const

Returns the value of the UMLInstanceAttribute's attributes property.

Returns
  The value of the UMLInstanceAttribute's attributes property.

## ◆ init()

void UMLInstanceAttribute::init | ( |  | ) |
| private

UMLInstanceAttribute::init Initialize members of this class.

## ◆ load1()

bool UMLInstanceAttribute::load1 | ( | QDomElement & | element | ) |
| protected virtual

Loads the <UML:InstanceAttribute> XMI element.

Reimplemented from UMLAttribute.

## ◆ saveToXMI1()

void UMLInstanceAttribute::saveToXMI1 | ( | QDomDocument & | qDoc,
|  | QDomElement & | qElement
| ) |  |
| virtual

Creates the <UML:InstanceAttribute> XMI element.

Reimplemented from UMLAttribute.

## ◆ setAttributes()

void UMLInstanceAttribute::setAttributes | ( | const QString & | attributes | ) |

Sets the UMLInstanceAttribute's attributes property.

Parameters

  attributes | The new value for the attributes property.

## ◆ showPropertiesDialog()

bool UMLInstanceAttribute::showPropertiesDialog | ( | QWidget * | parent = `0` | ) |
| virtual

Display the properties configuration dialog for the instanceattribute.

Reimplemented from UMLAttribute.

## Member Data Documentation

## ◆ m_attributes

QString UMLInstanceAttribute::m_attributes
| private

The documentation for this class was generated from the following files:

- umbrello/uml1model/instanceattribute.h
- umbrello/uml1model/instanceattribute.cpp